

::selection {
	color: var(--color-ongradient);
	background: var(--color-link);
}

.gradient-background ::selection {
	color: var(--color-link);
	background: var(--color-ongradient);
}

label.acceptance, .wpcf7-acceptance label {
    position: relative;
	cursor: pointer;
}

span.acceptance {
	display: block;
	font-size: 0.8em!important;
    line-height: 1.1em!important;
    letter-spacing: -0.3px;
    padding-left: 16px;
}

span.acceptance::before {
	content: "";
	display: block;
	border: 1px solid var(--color-link);
    border-radius: 50px;
    width: 16px;
    height: 16px;
    transition: opacity .2s ease, background .4s ease;
    opacity: 1;
    position: absolute;
    top: 0;
    left: 0;
}

body .acceptance input[type="checkbox"] {
	opacity: 0!important;
}

.acceptance input[type="checkbox"]:not(:checked):hover + span.acceptance::before {
	background: var(--color-accent);
    opacity: 0.5;
}

.acceptance input[type="checkbox"]:checked + span.acceptance::before {
	background: var(--color-accent);
}

.shadow {
	box-shadow: 4px 4px 8px 0 rgba(186, 0, 100, 0.5);
}

.gradient-background {
	background-image: var(--color-gradient-dark);
	/* background-size: 2600px 1800px; */
	background-size: cover;
	background-position: 50% 0%;
	background-attachment: fixed;
}

.main-background {
	background: var(--bg-main);
}

.font-heading--small {
	font-size: var(--font-size-heading--small);
	line-height: var(--font-lineheight-heading--small);
}

.font-heading--small.font--no-scaling {
	font-size: 34px;
	line-height: 42px;
}

.font-heading--big {
	font-size: var(--font-size-heading--big);
	line-height: var(--font-lineheight-heading--big);
}

.font-heading--big.font--no-scaling {
	font-size: 70px;
	line-height: 86px;
}

.font-text--small {
	font-size: var(--font-size-text--small);
	line-height: var(--font-lineheight-text--small);
}

.font-text--small.font--no-scaling {
	font-size: 16px;
	line-height: 20px;
}

.font-text--big {
	font-size: var(--font-size-text--big);
	line-height: var(--font-lineheight-text--big);
}

.font-text--big.font--no-scaling {
	font-size: 25px;
	line-height: 30px;
}

.font-light {
	font-weight: var(--font-weight--light);
}

.font-medium {
	font-weight: var(--font-weight--medium);
}

.font-bold {
	font-weight: var(--font-weight--bold);
}

.font-gray {
	color: var(--color-gray);
}


.ul-reset {
	padding: 0;
	margin: 0;
	list-style: none;
}

.btn-reset {
	border: none;
	background: transparent;
	outline: none;
	padding: 0;
}

.flex {
	display: flex;
}

.flex.jc {
	justify-content: center;
}

.flex.jl {
	justify-content: flex-start;
}

.flex.jr {
	justify-content: flex-end;
}

.flex.jsb {
	justify-content: space-between;
}

.flex.ac {
	align-items: center;
}

.flex.as {
	align-items: stretch;
}

.flex.al {
	align-items: flex-start;
}

.flex.ar {
	align-items: flex-end;
}

.flex > .o0 {
	order: -1;
}

.flex > .o1 {
	order: 0;
}

.flex > .o2 {
	order: 1;
}

.grow {
	flex: 1;
}

.no-grow {
	flex: initial;
}

.flex.row {
	flex-direction: row;
}

.flex.col {
	flex-direction: column;
}

.flex.rowr {
	flex-direction: row-reverse;
}

.flex.colr {
	flex-direction: column-reverse;
}

:is(.side-spacing,
	.side-spacing--s
	) {
	padding-left: var(--side-spacing);
	padding-right: var(--side-spacing);
}

@media all and (min-width: 992px) {
	.flex.jc-m {
		justify-content: center;
	}
	
	.flex.jsb-m {
		justify-content: space-between;
	}

	.flex.jl-m {
		justify-content: flex-start;
	}
	
	.flex.jr-m {
		justify-content: flex-end;
	}

	.flex.ac-m {
		align-items: center;
	}
	
	.flex.as-m {
		align-items: stretch;
	}

	.flex.al-m {
		align-items: flex-start;
	}
	
	.flex.ar-m {
		align-items: flex-end;
	}

	.flex > .o0-m {
		order: -1;
	}
	
	.flex > .o1-m {
		order: 0;
	}
	
	.flex > .o2-m {
		order: 1;
	}

	.grow-m {
		flex: 1;
	}
	
	.no-grow-m {
		flex: initial;
	}

	.flex.col-m {
		flex-direction: column;
	}

	.flex.row-m {
		flex-direction: row;
	}

	.flex.rowr-m {
		flex-direction: row-reverse;
	}
	
	.flex.colr-m {
		flex-direction: column-reverse;
	}

	.side-spacing--s {
		padding-left: 0;
		padding-right: 0;
	}

	.side-spacing--m {
		padding-left: var(--side-spacing);
		padding-right: var(--side-spacing);
	}
}

@media all and (min-width: 1300px) {
	.flex.jc-l {
		justify-content: center;
	}
	
	.flex.jsb-l {
		justify-content: space-between;
	}

	.flex.jl-l {
		justify-content: flex-start;
	}
	
	.flex.jr-l {
		justify-content: flex-end;
	}

	.flex.ac-l {
		align-items: center;
	}
	
	.flex.as-l {
		align-items: stretch;
	}

	.flex.al-l {
		align-items: flex-start;
	}
	
	.flex.ar-l {
		align-items: flex-end;
	}

	.flex > .o0-l {
		order: -1;
	}
	
	.flex > .o1-l {
		order: 0;
	}
	
	.flex > .o2-l {
		order: 1;
	}

	.grow-l {
		flex: 1;
	}
	
	.no-grow-l {
		flex: initial;
	}

	.flex.row-l {
		flex-direction: row;
	}

	.flex.col-l {
		flex-direction: column;
	}

	.flex.rowr-l {
		flex-direction: row-reverse;
	}
	
	.flex.colr-l {
		flex-direction: column-reverse;
	}
	
}

.mr-cont {
	width: 100%;
	max-width: 100%;
}

.mr_x_auto{
	margin-left: auto;
	margin-right: auto;
}

.mr-cont.mr-cont--wide {
	width: 1640px;
}

.mr-cont.mr-cont--medium {
	width: 1494px;
}

.mr-cont.mr-cont--normal {
	width: 1364px;
}

/*page general*/

body:not(.using-mouse) :focus-visible,
body:not(.using-mouse) label.acceptance:focus-within { 
	outline: 3px dashed var(--color-accent)!important;
	opacity: 1!important;
	color: var(--color-link)!important;
    outline-offset: 2px;
}

.using-mouse :focus-visible { 
	outline: none!important;
}

.site {
	overflow-x: hidden;
}

.mr_overflow {
	overflow: hidden;
}

.tax-rodzajuslugi .site {
	overflow: unset;
}

:is(html, body) {
	font-size: var(--font-rem);
	min-height: 100vh;
}

body {
	display: flex;
	flex-direction: column;
}

body .site-content {
	padding-top: var(--header-height);
}

.gradient-background :is(
	.font-heading--big,
	.font-heading--small,
	.font-text--big,
	.font-text--small,
	.font-text--medium
) {
	color: var(--color-ongradient);
}

.main-background :is(
	.font-heading--big,
	.font-heading--small,
	.font-text--big,
	.font-text--small,
	.font-text--medium
) {
	color: var(--color-main);
}

.btn {
	display: flex;
	justify-content: center;
}

.btn ::selection {
	color: var(--color-link);
	background: var(--color-ongradient);
}

img, svg {
	user-select: none;
}

:is(
	a.btn,
	button.btn,
	input.btn,
	.btn > :is(a, button)
	)::selection {
	color: var(--color-link);
	background: var(--color-ongradient);
}

:is(
	a.btn,
	button.btn,
	input.btn,
	.btn > :is(a, button)
	) {
	background-color: var(--btn-background);
	padding: 6px 25px 5px 25px;
	color: var(--btn-color);
	text-decoration: none;
	border-radius: 0 0 10px 0;
	transition: background-color .3s ease;
	transition-delay: .1s;
	text-align: center;
	font-weight: var(--font-weight--medium);
}

:is(
	a.btn,
	button.btn,
	input.btn,
	.btn > :is(a, button)
	):focus-visible {
	color: var(--btn-color)!important;
}

@media all and (min-width: 992px) {
	:is(
		a.btn,
		button.btn,
		input.btn,
		.btn > :is(a, button)
		) {
		padding: 9px 25px 8px 25px;
	}
}

:is(
	a.btn,
	button.btn,
	input.btn,
	.btn > :is(a, button)
	):hover {
	background-color: var(--btn-background--hover);
	color: var(--btn-color--hover);
	transition-delay: 0s;
}

.btn > :is(a, button) {
	width: 100%;
}

:is(
	a.link,
	button.link,
	input.link,
	.link > :is(a, button)
	) {
	text-decoration: none;
	transition: color .3s ease;
	color: var(--color-link)!important;
}

:is(
	a.link,
	button.link,
	input.link,
	.link > :is(a, button)
	):focus-visible {
	color: var(--color-link)!important;
}

:is(
	a.link,
	button.link,
	input.link,
	.link > :is(a, button)
	):hover {
	color: var(--color-link--active)!important;
}

.link.link-underline {
	position: relative;
}

.link.link-underline::before {
	content: "";
	display: block;
	position: absolute;
	bottom: -9px;
	left: 0;
	height: 0px;
	width: 100%;
	border-top: 2px solid;
	transform: scale3d(0.45, 1, 1);
	transition: transform .3s ease;
	transform-origin: center;
	pointer-events: none;
}

@media all and (min-width: 992px) {
	.link.link-underline::before {
		width: calc(100% + 34px);
		transform-origin: left;
	}
}

.link.link-underline:hover::before {
	transform: scale3d(1, 1, 1);
}

.mr_tac {
	text-align: center;
}

.mr_color_white {
	color: var(--color-white);
}

.mr_color_link {
	color: var(--color-link);
}

.mr_color_gray {
	color: var(--color-gray);
}

.mr_color_gold {
	color: var(--color-gold)!important;
}

.mr_bgcolor_pink {
	background-color: var(--btn-background);
}

.mr_relative {
	position: relative;
}

.mr_upp {
	text-transform: uppercase;
}

.font-text--medium {
	font-size: 16px;
	line-height: 25px;
}